Author: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>

--- vault-1.16.2.orig/scripts/build.sh
+++ vault-1.16.2/scripts/build.sh
@@ -21,8 +21,8 @@ cd "$DIR"
 BUILD_TAGS="${BUILD_TAGS:-"vault"}"
 
 # Get the git commit
-GIT_COMMIT="$("$SOURCE_DIR"/ci-helper.sh revision)"
-GIT_DIRTY="$(test -n "`git status --porcelain`" && echo "+CHANGES" || true)"
+#GIT_COMMIT="$("$SOURCE_DIR"/ci-helper.sh revision)"
+#GIT_DIRTY="$(test -n "`git status --porcelain`" && echo "+CHANGES" || true)"
 
 BUILD_DATE="$("$SOURCE_DIR"/ci-helper.sh date)"
 
@@ -43,7 +43,7 @@ mkdir -p bin/
 echo "==> Building..."
 ${GO_CMD} build \
     -gcflags "${GCFLAGS}" \
-    -ldflags "${LD_FLAGS} -X github.com/hashicorp/vault/version.GitCommit='${GIT_COMMIT}${GIT_DIRTY}' -X github.com/hashicorp/vault/version.BuildDate=${BUILD_DATE}" \
+    -ldflags "${LD_FLAGS} -X github.com/hashicorp/vault/version.BuildDate=${BUILD_DATE}" \
     -o "bin/vault" \
     -tags "${BUILD_TAGS}" \
     .
--- vault-1.16.2.orig/scripts/ci-helper.sh
+++ vault-1.16.2/scripts/ci-helper.sh
@@ -16,7 +16,7 @@ export GIT_PAGER=cat
 function build_date() {
   # It's tricky to do an RFC3339 format in a cross platform way, so we hardcode UTC
   : "${DATE_FORMAT:="%Y-%m-%dT%H:%M:%SZ"}"
-  git show --no-show-signature -s --format=%cd --date=format:"$DATE_FORMAT" HEAD
+#  git show --no-show-signature -s --format=%cd --date=format:"$DATE_FORMAT" HEAD
 }
 
 # Get the revision, which is the latest commit SHA
